Subject: Re: bug#34481: 27.0.50; cl-flet, cl-labels and lambda expressions

From: Michael Heerdegen <[email-masked]>
Date: Tue, 02 Mar 2021 02:11:30 +0100

Michael Heerdegen <[email-masked]> writes:

> But for macrolet I guess it could make sense.

No, AFAIU macro expanders of `cl-macrolet' can't make use of runtime
values (the expansion can, of course), so I think, similar to
`cl-labels', encouraging the impression that a function is referenced or
created at runtime (by evaluating a lambda) might be no good idea in
these cases.

Michael.